/* copyright (c) 2007 magnus auvinen, see licence.txt for more info */

#include <game/server/gamecontroller.hpp>

class GAMECONTROLLER_FREEZE : public GAMECONTROLLER
{
public:
	class FLAG *flags[2];

	GAMECONTROLLER_FREEZE();

	
	int on_character_death(class PLAYER *victim, class PLAYER *killer, int weapon);

	int names_to_change;

	virtual void tick();

	virtual bool on_entity(int index, vec2 pos);

	virtual void do_freeze_scoring();
	virtual void reset_frozens();

	char tmp[MAX_NAME_LENGTH];
};
